export class TxosAggregatorResult {
    constructor(nbCmbn, matLnk) {
        this.nbCmbn = nbCmbn;
        this.matLnkCombinations = matLnk;
    }
    computeMatLnkProbabilities() {
        if (this.matLnkCombinations == null)
            return null;
        const matLnkProbabilities = Array.from({
            length: this.matLnkCombinations.length,
        });
        if (this.nbCmbn > 0) {
            for (let i = 0; i < this.matLnkCombinations.length; i++) {
                const line = this.matLnkCombinations[i];
                const values = Array.from({ length: line.length });
                for (const [j, val] of line.entries()) {
                    values[j] = val / this.nbCmbn;
                }
                matLnkProbabilities[i] = values;
            }
        }
        else {
            console.error("nbCmbn=0");
        }
        return matLnkProbabilities;
    }
    computeEntropy() {
        let entropy = 0;
        if (this.nbCmbn > 0) {
            entropy = Math.log2(this.nbCmbn);
        }
        return entropy;
    }
}
//# sourceMappingURL=txos-aggregator-result.js.map