import type { IntraFees } from "../linker/intra-fees.js";
import type { Txos, TxosAggregates, TxosAggregatesMatches } from "../utils/interfaces.js";
import { type Logger } from "../utils/utils.js";
import { TxosAggregatorResult } from "./txos-aggregator-result.js";
export declare class TxosAggregator {
    private readonly Logger;
    constructor(logger: Logger);
    matchAggByVal(allAgg: TxosAggregates, fees: number, intraFees: IntraFees): TxosAggregatesMatches;
    computeInAggCmbn(aggMatches: TxosAggregatesMatches): Map<number, number[][]>;
    private createLine;
    checkDtrmLinks(txos: Txos, allAgg: TxosAggregates, aggMatches: TxosAggregatesMatches): Set<number[]>;
    computeLinkMatrix(txos: Txos, allAgg: TxosAggregates, aggMatches: TxosAggregatesMatches, matInAggCmbn: Map<number, number[][]>, maxDuration: number): TxosAggregatorResult;
    private finalizeLinkMatrix;
    private onTaskCompleted;
    private addDLinkLine;
    private runTask;
    private ndOutLine;
    private newLinkCmbn;
    private updateLinkCmbn;
    findDtrmLinks(matCmbn: number[][], nbCmbn: number): Set<number[]>;
}
