import { TxProcessorResult } from "../processor/tx-processor-result.js";
export declare class BoltzmannResult extends TxProcessorResult {
    readonly dtrmLnks: string[][];
    readonly duration: number;
    constructor(duration: number, r: TxProcessorResult);
    private replaceDtrmLinks;
    toJSON(): {
        nbCmbn: number;
        matLnkCombinations: number[][] | null;
        matLnkProbabilities: number[][] | null;
        entropy: number;
        dtrmLnksById: [number, number][];
        dtrmLnks: [string, string][];
        txos: {
            inputs: [string, number][];
            outputs: [string, number][];
        };
        fees: number;
        intraFees: {
            feesMaker: number;
            feesTaker: number;
            hasFees: boolean;
        };
        efficiency: number | null;
        nbCmbnPrfctCj: string | null;
        nbTxosPrfctCj: import("../utils/interfaces.js").NbTxos;
    };
    print(): void;
}
export type BoltzmannResultJson = ReturnType<BoltzmannResult["toJSON"]>;
