export interface LinkerOptions {
    precheck?: boolean;
    linkability?: boolean;
    mergeInputs?: boolean;
    mergeOutputs?: boolean;
    mergeFees?: boolean;
}
export declare enum LogLevel {
    NONE = 0,
    INFO = 1,
    DEBUG = 2
}
export interface BoltzmannOptions {
    logLevel?: keyof typeof LogLevel;
    maxDuration?: number;
    maxTxos?: number;
    maxCjIntrafeesRatio?: number;
    linkerOptions?: LinkerOptions;
}
export interface BoltzmannSettings extends Required<Omit<BoltzmannOptions, "logLevel">> {
    logLevel: LogLevel;
}
export declare const MAX_DURATION_DEFAULT = 600;
export declare const MAX_TXOS_DEFAULT = 12;
export declare const MAX_CJ_INTRAFEES_DEFAULT = 0;
export declare const LINKER_OPTIONS_DEFAULT: {
    precheck: true;
    linkability: true;
    mergeInputs: true;
};
export declare const createBoltzmannSettings: (options?: BoltzmannOptions) => BoltzmannSettings;
