export var LogLevel;
(function (LogLevel) {
    LogLevel[LogLevel["NONE"] = 0] = "NONE";
    LogLevel[LogLevel["INFO"] = 1] = "INFO";
    LogLevel[LogLevel["DEBUG"] = 2] = "DEBUG";
})(LogLevel || (LogLevel = {}));
export const MAX_DURATION_DEFAULT = 600;
export const MAX_TXOS_DEFAULT = 12;
export const MAX_CJ_INTRAFEES_DEFAULT = 0;
export const LINKER_OPTIONS_DEFAULT = {
    precheck: true,
    linkability: true,
    mergeInputs: true,
};
export const createBoltzmannSettings = (options) => {
    return {
        logLevel: options?.logLevel ? LogLevel[options.logLevel] : LogLevel.NONE,
        maxDuration: options?.maxDuration ?? MAX_DURATION_DEFAULT,
        maxTxos: options?.maxTxos ?? MAX_TXOS_DEFAULT,
        maxCjIntrafeesRatio: options?.maxCjIntrafeesRatio ?? MAX_CJ_INTRAFEES_DEFAULT,
        linkerOptions: options?.linkerOptions ?? LINKER_OPTIONS_DEFAULT,
    };
};
//# sourceMappingURL=boltzmann-settings.js.map