import { BoltzmannResult, type BoltzmannResultJson } from "./beans/boltzmann-result.js";
import { type BoltzmannOptions, type LinkerOptions } from "./beans/boltzmann-settings.js";
export type { BoltzmannOptions, LinkerOptions, TxosInput, BoltzmannResult, BoltzmannResultJson, };
type TxosInput = {
    inputs: [string, number][];
    outputs: [string, number][];
};
export declare class Boltzmann {
    private readonly Logger;
    private readonly settings;
    private readonly txProcessor;
    constructor(options?: BoltzmannOptions);
    process(txos: TxosInput): BoltzmannResult;
    processWithOptions(txos: TxosInput, maxCjIntrafeesRatio: number, linkerOptions: LinkerOptions): BoltzmannResult;
}
