import { type LinkerOptions } from "../beans/boltzmann-settings.js";
import { type Pack, type Txos, type UnpackLinkMatrixResult } from "../utils/interfaces.js";
import { CustomMap, type Logger } from "../utils/utils.js";
import type { IntraFees } from "./intra-fees.js";
import { TxosLinkerResult } from "./txos-linker-result.js";
export declare class TxosLinker {
    private static MAX_DURATION;
    private static MAX_NB_TXOS;
    private static MARKER_FEES;
    private static MARKER_PACK;
    private readonly feesOrig;
    private fees;
    private packs;
    maxTxos: number;
    maxDuration: number;
    private readonly Logger;
    constructor(fees: number, maxDuration: number, maxTxos: number, logger: Logger);
    process(txos: Txos, linkedTxos: Set<string>[], options: LinkerOptions, intraFees: IntraFees): TxosLinkerResult;
    protected packLinkedTxos(linkedTxos: Set<string>[], txos: Txos): Txos;
    protected unpackLinkMatrix(matLnk: number[][], txos: Txos): UnpackLinkMatrixResult;
    protected unpackLinkMatrix2(matLnk: number[][], txos: Txos, pack: Pack): UnpackLinkMatrixResult;
    protected unpackTxos(currentTxos: CustomMap<string, number>, pack: Pack, unpackedTxos: CustomMap<string, number>): number;
    private prepareData;
    private prepareTxos;
    private checkLimitOk;
}
