import { TxosLinkerResult } from "../linker/txos-linker-result.js";
export class TxProcessorResult extends TxosLinkerResult {
    constructor(nbCmbn, matLnkCombinations, matLnkProbabilities, entropy, dtrmLnksById, txos, fees, intraFees, efficiency, nbCmbnPrfctCj, nbTxosPrfctCj) {
        super(nbCmbn, matLnkCombinations, dtrmLnksById, txos);
        this.matLnkProbabilities = matLnkProbabilities;
        this.entropy = entropy;
        this.fees = fees;
        this.intraFees = intraFees;
        this.efficiency = efficiency;
        this.nbCmbnPrfctCj = nbCmbnPrfctCj;
        this.nbTxosPrfctCj = nbTxosPrfctCj;
    }
    get nbLinks() {
        return this.txos.inputs.size * this.txos.outputs.size;
    }
    get density() {
        return this.entropy / (this.txos.inputs.size + this.txos.outputs.size);
    }
    get nbDL() {
        return this.dtrmLnksById.size;
    }
    get ratioDL() {
        return this.nbDL / this.nbLinks;
    }
    get nRatioDL() {
        return 1 - this.ratioDL;
    }
}
//# sourceMappingURL=tx-processor-result.js.map