import type { LinkerOptions } from "../beans/boltzmann-settings.js";
import { IntraFees } from "../linker/intra-fees.js";
import type { CoinjoinPattern, Txos } from "../utils/interfaces.js";
import { CustomMap, type Logger } from "../utils/utils.js";
import { TxProcessorResult } from "./tx-processor-result.js";
export declare class TxProcessor {
    private readonly maxDuration;
    private readonly maxTxos;
    private readonly Logger;
    constructor(maxDuration: number, maxTxos: number, logger: Logger);
    processTx(txos: Txos, maxCjIntrafeesRatio: number, linkerOptions: LinkerOptions): TxProcessorResult;
    private getLinkedTxos;
    private filterTxos;
    postProcessTxos(txos: CustomMap<string, number>, mapIdAddr: Map<string, string>): CustomMap<string, number>;
    protected checkCoinjoinPattern(txoOuts: Map<string, number>, maxNbEntities: number): CoinjoinPattern | null;
    protected computeCoinjoinIntrafees(nbPtcpts: number, cjAmount: number, prctMax: number): IntraFees;
    private computeWalletEfficiency;
    private getClosestPerfectCoinjoin;
    private computeCmbnsPerfectCj;
}
