import { Utils } from "./utils.js";
function powerSet(set, logger) {
    const max = 1 << set.length;
    const result = [[]];
    const PROGRESS_ID = "powerSet";
    for (const value of set) {
        const previousSubsets = [...result];
        for (const [i, subset] of previousSubsets.entries()) {
            result.push(subset.concat(value));
            Utils.logProgress(logger, PROGRESS_ID, i, max);
        }
        Utils.logProgressDone(logger, PROGRESS_ID, max);
    }
    return result;
}
function mergeSets(sets) {
    let tmpSets = [...sets];
    let merged = true;
    while (merged) {
        merged = false;
        const res = [];
        while (tmpSets.length > 0) {
            let current = tmpSets.shift();
            const rest = tmpSets;
            tmpSets = [];
            for (const x of rest) {
                if ([...current].filter((value) => -1 !== [...x].indexOf(value))
                    .length === 0) {
                    tmpSets.push(x);
                }
                else {
                    merged = true;
                    current = new Set([...current, ...x]);
                }
            }
            res.push(current);
        }
        tmpSets = res;
    }
    return tmpSets;
}
function newIntMatrix(lines, cols, fillValue) {
    const matCmbn = Array.from({ length: lines }).fill([]);
    for (let i = 0; i < lines; i++) {
        matCmbn[i] = newIntBigList(cols, fillValue);
    }
    return matCmbn;
}
function newIntBigList(size, fillValue) {
    return Array.from({ length: size }).fill(fillValue);
}
function fill(bigList, value, size) {
    for (let i = 0; i < size; i++) {
        bigList.push(value);
    }
}
export const ListsUtils = {
    powerSet,
    mergeSets,
    newIntMatrix,
    newIntBigList,
    fill,
};
//# sourceMappingURL=lists-utils.js.map