import { LogLevel } from "../beans/boltzmann-settings.js";
export declare const Logger: (logLevel: LogLevel) => {
    logLevel: LogLevel;
    logInfo: (...msg: string[]) => void;
    logDebug: (...msg: string[]) => void;
};
export type Logger = ReturnType<typeof Logger>;
export declare class Utils {
    private static BYTE_TO_MB;
    private static LOG_PROGRESS_FREQUENCY;
    private static progressLast;
    private static progressResult;
    private static maxMemUsed;
    static logMemory(logger: Logger, msg: string): void;
    static logProgress(logger: Logger, progressId: string, current: number, target: number, msg?: string): void;
    static logProgressDone(logger: Logger, progressId: string, target: number, msg?: string): void;
    static getProgressResult(): Array<Progress>;
    static getMaxMemUsed(): number;
    static duration(seconds: number): string;
}
declare class Progress {
    readonly name: string;
    private readonly start;
    private current;
    last: number;
    target: number;
    rate: number;
    msg: string;
    constructor(name: string, current: number, target: number);
    computeElapsed(): number;
    getProgress(): string;
    getResult(): string;
    update(current: number, target: number): void;
    done(target: number, msg: string): string;
}
export declare class CustomMap<K, V> implements Map<K, V> {
    private state;
    constructor(entries?: [K, V][] | null);
    [Symbol.iterator](): IterableIterator<[K, V]>;
    [Symbol.toStringTag]: string;
    entries(): IterableIterator<[K, V]>;
    keys(): IterableIterator<K>;
    values(): IterableIterator<V>;
    clear(): void;
    delete(key: K): boolean;
    forEach(callbackfn: (value: V, key: K, map: CustomMap<K, V>) => void, thisArg?: any): void;
    get(key: K): V | undefined;
    has(key: K): boolean;
    set(key: K, value: V): this;
    get size(): number;
}
export {};
